/**
 * Copyright (c) 2015-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit;

public class FlowStepInfo {

    /**
     * The attribute name associated to the flow step info
     */
    private String attribute;

    /**
     * The Ant property name in which the flow step information will be stored
     */
    private String property;

    /**
     * Set the name of a flow step attribute to use as information source
     * 
     * @param name
     *            A flow step attribute name. Not <code>null</code>, not empty.
     */
    public void setAttribute(final String name) {
        assert name != null;
        assert !name.isEmpty();

        this.attribute = name;
    }

    /**
     * Set the name of a Ant property in which the flow step information will be stored
     * 
     * @param property
     *            A name of a Ant property. Not <code>null</code>, not empty.
     */
    public void setProperty(final String property) {
        assert property != null;
        assert !property.isEmpty();

        this.property = property;
    }

    public String getAttribute() {
        return this.attribute;
    }

    public String getProperty() {
        return this.property;
    }

}
