/**
 * Copyright (c) 2015-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowstep.exception;

import org.apache.tools.ant.Location;
import org.ow2.petals.ant.task.monit.assertion.flowstep.AttributeEquals;

/**
 * The assertion {@link AttributeEquals} fails
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildAssertAttributeNotEqualsException extends BuildAssertAttributeFailException {

    private static final long serialVersionUID = -511218601314521723L;

    private static final String MESSAGE_PATTERN = "Attribute name '%s': expected: <%s> (resolved as <%s>) but was:<%s>";

    public BuildAssertAttributeNotEqualsException(final String attributeName, final String expectedValue,
            final String expectedResolvedValue, final String actualValue, final Location location) {
        super(String.format(MESSAGE_PATTERN, attributeName, expectedValue, expectedResolvedValue, actualValue),
                location);
    }

}
