/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.ant.task.monit.assertion.flowtreenode.exception;

import org.apache.tools.ant.Location;

/**
 * The assertion about flow instance identifier fails
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BuildAssertFlowInstanceIdNotEqualsException extends BuildFlowTreeNodeAssertionException {

    private static final long serialVersionUID = -3879930479529235281L;

    private static final String MESSAGE_PATTERN = "Expected flow instance id: '%s', actual: '%s'";

    public BuildAssertFlowInstanceIdNotEqualsException(final String actualValue, final String expectedValue,
            final Location location) {
        super(String.format(MESSAGE_PATTERN, expectedValue, actualValue), location);
    }

}
